summaryrefslogtreecommitdiff
path: root/scripts/iplocate
diff options
context:
space:
mode:
authorSaumit Dinesan <79687674+Saumit-D@users.noreply.github.com>2021-11-10 16:01:17 +0530
committerGitHub <noreply@github.com>2021-11-10 16:01:17 +0530
commitaf8cda7385fcd761ceff5fef09401377ed2fbb86 (patch)
tree8d1831bea5328b0ac7e0ec7beceb521068807d93 /scripts/iplocate
parent96fd32a61a08475d686fa5f8187566ccff870da0 (diff)
Add files via upload
Diffstat (limited to 'scripts/iplocate')
-rw-r--r--scripts/iplocate10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/iplocate b/scripts/iplocate
new file mode 100644
index 0000000..02adab8
--- /dev/null
+++ b/scripts/iplocate
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Gets your public ip address checks which country you are in and
+# displays that information in the statusbar
+#
+# https://www.maketecheasier.com/ip-address-geolocation-lookups-linux/
+
+ifinstalled "geoip" || exit
+addr="$(curl ifconfig.me 2>/dev/null)" || exit
+grep "flag: " "${XDG_DATA_HOME:-$HOME/.local/share}/larbs/emoji" | grep "$(geoiplookup "$addr" | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"